// Example 903
// LCD display Example
// Akinori Tsuji, October 2015
#include <Wire.h>
#include <ST7032.h>

// LCD
ST7032 lcd;

void setup() {
  lcd.begin(8, 2); // 8文字，2行
  lcd.setContrast(30); // 液晶のコントラスト
}

void loop() {
  // 九九の計算
  for (int x=1; x<=9; x++) {
    for (int y=1; y<=9; y++) {
      int z = x * y;
      lcd.clear(); // 液晶の表示をクリア
      lcd.setCursor(0, 0); // 0列，0行にカーソル位置を移動
      // 計算結果を表示
      lcd.print(x); lcd.print("X"); lcd.print(y);
      lcd.print("="); lcd.print(z);
      delay(1000);
    }
  }
}

