// Example 905
// Example of the DHT11 temperature/humidity sensor
// Akinori Tsuji, October 2015
#include <Wire.h>
#include <ST7032.h>
#include <DHT.h>

// LCD
ST7032 lcd;

// Sensor
DHT dht(9, DHT11);

void setup() {
  lcd.begin(8, 2); // 液晶の表示開始
  lcd.setContrast(30); // 液晶のコントラスト
  lcd.clear();
  dht.begin(); // DHT11計測開始
}

void loop() {
  // センサによる計測
  int d = dht.readTemperature(); // 温度計測
  int h = dht.readHumidity() ;   // 湿度計測

  // 液晶に結果表示
  lcd.setCursor(0, 0); // 0列, 1行にセット
  lcd.print(t);
  lcd.print((char)0xDF); // 度
  lcd.print("C");
  lcd.setCursor(0, 1); // 0列, 1行にセット
  lcd.print(h);
  lcd.print("%");

  delay(2000); // 2秒以上待つ
}

